package com.lakala.zf.laop.java.sdk.demo.v2;

import com.lakala.zf.laop.java.sdk.demo.BaseCommonDemo;
import com.lkl.laop.sdk.LKLSDK;
import com.lkl.laop.sdk.request.V2LaepIndustryEwalletWithdrawD1Request;

/**
 * @author nxj
 * @date 2024/1/12 15:15
 * @description 账管家V2.0-账管家提现D1 DEMO
 */
public class V2LaepIndustryEwalletWithdrawD1RequestDemo extends BaseCommonDemo {
    public static void main(String[] args) throws Exception {
        // 1. 配置初始化
        doInit();

        //2. 装配数据
        V2LaepIndustryEwalletWithdrawD1Request req = new V2LaepIndustryEwalletWithdrawD1Request();
        req.setOrgNo("1");
        req.setMerchantNo("8221000581200BS");
        req.setDrawAmt("10");
        req.setNotifyUrl("test");
        req.setMerOrderNo("hxmkl20240111900004");
        req.setPayNo("");
        req.setPayType("");
        req.setRemark("");
        req.setBankId("");

        //3. 发送请求
        String response = LKLSDK.httpPost(req);

        //4. 响应
        System.out.println(response);
    }
}
